""" Collection of callbacks

"""
from gluon import current
from plugin_dbui import CALLBACK_ERRORS


def country_delete(s):
    """Inhibit delete.
    
    """
    countries = current.globalenv['db']["countries"]
    countries[CALLBACK_ERRORS] = "Can't delete a country."
    return True


def country_insert(f):
    """Inhibit insert.
    
    """
    countries = current.globalenv['db']["countries"]
    countries[CALLBACK_ERRORS] = "Can't insert a new Country."
    return True


def country_update(s, f):
    """Inhibit update.
    
    """
    countries = current.globalenv['db']["countries"]
    countries[CALLBACK_ERRORS] = "Cant't update a Country."
    return True