""" base class to build service

"""

import pprint


class BaseSvc:
    """Base class to build service.

    """
    def __init__(self):
        self.debug = False


    def dbg(self, *args):
        """Print ``args`` if the attribute debug is true.

        Args:
            args (list): object to be printed

        """
        if self.debug:
            pprint.pprint(args)
