# -*- coding: utf-8 -*-
""" validator

"""
from gluon.validators import IS_IN_SET


class IS_IN_USET(IS_IN_SET):
    """IS_IN_SET validator but working with unicode string.

    """

    def __init__(self, theset, **kwargs):

        myset = []

        if isinstance(theset, (list, tuple)):
            for el in theset:
                if isinstance(el, unicode):
                    el = el.encode("utf-8")
                myset.append(el)

        elif isinstance(theset, dict):
            myset = {}
            for key in theset:
                if isinstance(key, unicode):
                    myset[key.encode("utf-8")] = theset[key]
                else:
                    myset[key] = theset[key]

        IS_IN_SET.__init__(self, myset, **kwargs)


    def __call__(self, value):

        if isinstance(value, unicode):
            value = value.encode("utf-8")

        return IS_IN_SET.__call__(self, value)
